%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}
%define __debug_install_post %{mingw32_debug_install_post}

Name:           mingw-plotmm
Version:        0.1.2
Release:        13%{?dist}
Summary:        MinGW GTKmm plot widget for scientific applications
Group:          Development/Libraries
License:        LGPLv2
URL:            http://plotmm.sourceforge.net/
Source0:        http://download.sourceforge.net/plotmm/plotmm-%{version}.tar.gz
# Fix code to build against libsigc++20
# Upstream:
# https://sourceforge.net/tracker/?func=detail&atid=632478&aid=2082337&group_id=102665
Patch0:         plotmm-0.1.2-libsigc++20.patch
Patch1:         mingw32-plotmm-ac.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gtkmm24 >= 2.4.0
BuildRequires:  mingw32-libpng
BuildRequires:  libtool
BuildRequires:  automake
BuildRequires:  autoconf

%description
This package provides an extension to the mingw32 gtkmm library.  It
contains widgets which are primarily useful for technical and
scientifical purposes.  Initially, this is a 2-D plotting widget.


%package -n mingw32-plotmm
Summary:        MinGW GTKmm plot widget for scientific applications
Requires:       pkgconfig

%description -n mingw32-plotmm
This package provides an extension to the mingw32 gtkmm library.  It
contains widgets which are primarily useful for technical and
scientifical purposes.  Initially, this is a 2-D plotting widget.


%{?mingw32_debug_package}


%prep
%setup -q -n plotmm-%{version}
%patch0 -p1 -b .libsigc++20
%patch1 -p0 -b .mingw32
# update autotools, distributed files are so old they do not
# get compiling dlls right
libtoolize --force --copy
aclocal
autoconf
automake -a -c


%build
%{mingw32_configure} --disable-static
make %{?_smp_mflags}


%install
make DESTDIR=${RPM_BUILD_ROOT} install
rm $RPM_BUILD_ROOT%{mingw32_bindir}/curves.exe
rm $RPM_BUILD_ROOT%{mingw32_bindir}/simple.exe

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


%files -n mingw32-plotmm
%doc AUTHORS COPYING ChangeLog README
%{mingw32_bindir}/libplotmm-0.dll
%{mingw32_libdir}/libplotmm.dll.a
%{mingw32_libdir}/pkgconfig/plotmm.pc
%{mingw32_includedir}/plotmm


%changelog
* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 0.1.2-13
- Renamed the source package to mingw-plotmm (#801014)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.1.2-12
- Rebuild against the mingw-w64 toolchain

* Thu Feb  2 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.1.2-11
- Dropped .la files

* Tue Jan 31 2012 Kalev Lember <kalevlember@gmail.com> - 0.1.2-10
- Rebuilt for libpng 1.5
- Spec cleanup for new rpmbuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 07 2011 Kalev Lember <kalevlember@gmail.com> - 0.1.2-8
- Rebuilt against win-iconv

* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 0.1.2-7
- Rebuilt for proxy-libintl removal

* Fri Apr 22 2011 Kalev Lember <kalev@smartlink.ee> - 0.1.2-6
- Rebuilt for pseudo-reloc version mismatch (#698827)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.1.2-3
- add debuginfo packages

* Mon Apr 27 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.1.2-2
- add missing BR

* Sun Apr 19 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.1.2-1
- copy from native
